<div
  class="page-col-menu use-highlights
    {{if this.placeholderStyle 'has-placeholder'}}
    {{if this.isSticky 'sticky'}}
    {{if this.isAuto 'auto'}}
    {{if this.isFull 'full-size'}}
    {{if this.isHamburgerMenuVisible 'hamburger-menu-visible'}}
    direction-{{this.window.scrollDirection}}"
  style={{this.placeholderStyle}}
  {{on "props-update" this.updateProps}}
  data-path={{concat @path ".data"}}
  data-gid={{@value.gid}}
  data-name={{@value.name}}
  data-type="menu"
  data-editor="menu"
  {{did-insert this.setup}}
>
  {{#if (or this.isSticky this.isAuto)}}
    <div class="page-col-menu-placeholder" style={{this.placeholderStyle}}>
    </div>
  {{/if}}

  <div
    class="navbar-container
      {{unless this.isHamburgerMenuVisible this.shadowClass}}
      {{this.bgColorClass}}
      {{this.borderColorClass}}"
  >
    <nav class="navbar navbar-expand-lg flex-nowrap">
      {{#if (and this.value.showLogo @space.logo.picture (not this.isLoading))}}
        <div class="me-1">
          <Link
            @isEditor={{@isEditor}}
            @to={{this.homePageLink}}
            @space={{@space}}
            class="logo-link"
          >
            <img
              class="logo"
              src="{{@space.logo.picture}}/xs"
              alt="{{@space.name}}"
              {{on "load" this.setLogoSize}}
            />
          </Link>
          <ResponsiveStyle
            @deviceSize={{@deviceSize}}
            @selector=".page-col-menu .navbar .logo"
            @style={{this.value.logo.style}}
          />
        </div>
      {{/if}}

      {{#if this.isLoading}}
        <div class="me-1">
          <div class="spinner-container" style={{this.spinnerStyle}}>
            <div class="spinner-border spinner-border-sm" role="status">
              <span class="d-none">Loading...</span>
            </div>
          </div>
        </div>
      {{/if}}

      {{#if this.hasHamburger}}
        <div class="ms-auto">
          {{#if this.hasHamburger}}
            <button
              class="btn
                {{if
                  this.isHamburgerMenuVisible
                  'btn-hamburger-close'
                  'btn-hamburger'
                }}
                {{this.textColorClass}}"
              type="button"
              {{on "click" this.toggleHamburgerMenu}}
            >
              {{#if this.isHamburgerMenuVisible}}
                <FaIcon @icon="times" />
              {{else}}
                <FaIcon @icon="bars" />
              {{/if}}
            </button>
          {{/if}}
        </div>
      {{else}}
        <div
          class="{{this.alignmentClass}}
            d-flex large-menu-buttons align-self-center"
        >
          <MenuItemList
            @isEditor={{@isEditor}}
            @value={{this.menuItems}}
            @styleDropDown={{true}}
            @classes={{this.classes}}
            @model={{@model}}
            @space={{@space}}
          />

          {{#if this.value.showSearch}}
            <div class="menu-item search-btn-container">
              <button
                class="btn btn-sm btn-search text-nowrap
                  {{this.textColorClass}}"
                type="button"
                {{on "click" this.enableSearch}}
              >
                <FaIcon @icon="magnifying-glass" class="me-1" />
                {{capitalize (t "search")}}
              </button>
            </div>
          {{/if}}
        </div>

        {{#if this.showSignIn}}
          <div>
            <LinkTo
              @route="login"
              class="btn btn-outline-success btn-sm btn-log-in"
            >
              {{capitalize (t "sign in")}}
            </LinkTo>
          </div>
        {{/if}}

        {{#if this.showUserMenu}}
          <MenuUserItemList
            class="user-drop-down"
            @value={{this.menuItems}}
            @bgColorClass={{this.bgColorClass}}
            @shadowClass={{this.shadowClass}}
            @textColorClass={{this.textColorClass}}
            @borderColorClass={{this.borderColorClass}}
            @styleDropDown={{true}}
            @space={{@space}}
            @isEditor={{@isEditor}}
          />
        {{/if}}
      {{/if}}
    </nav>
  </div>

  {{#if this.hasHamburger}}
    <div
      class="{{this.bgColorClass}}
        {{this.shadowClass}}
        {{this.borderColorClass}}
        {{if this.isHamburgerMenuVisible 'd-block' 'd-none'}}
        hamburger-items"
    >
      {{#if this.showSignIn}}
        <div class="pb-4 pt-4 text-center">
          <LinkTo
            @route="login"
            class="btn btn-outline-success btn-sm btn-log-in"
          >
            {{capitalize (t "sign in")}}
          </LinkTo>
        </div>
      {{/if}}

      <MenuItemList
        @isEditor={{@isEditor}}
        @value={{this.menuItems}}
        @classes={{this.classes}}
        @ignoreHover={{true}}
        @model={{@model}}
        @space={{@space}}
      />

      {{#if this.value.showSearch}}
        <div class="menu-item search-btn-container">
          <button
            class="btn btn-sm btn-search {{this.textColorClass}}"
            type="button"
            {{on "click" this.enableSearch}}
          >
            <FaIcon @icon="magnifying-glass" class="me-1" />
            {{capitalize (t "search")}}
          </button>
        </div>
      {{/if}}

      {{#if this.showUserMenu}}
        <MenuUserItemList
          class="user-drop-down"
          @value={{this.menuItems}}
          @bgColorClass={{this.bgColorClass}}
          @shadowClass={{this.shadowClass}}
          @textColorClass={{this.textColorClass}}
          @ignoreHover={{true}}
          @space={{@space}}
        />
      {{/if}}
    </div>
  {{/if}}

  <div class="loading {{if this.isLoading 'visible' 'invisible'}}">
    <div class="loading-progress">
    </div>
  </div>
</div>